Loading...
Searching...
No Matches
RDKit::FeatureFileParseException Class Reference

class used to indicate errors in parsing feature definition files. More...

`#include <FeatureParser.h>`

Inheritance diagram for RDKit::FeatureFileParseException:

## Public Member Functions

| FeatureFileParseException (unsigned int lineNo, std::string line, std::string msg)
unsigned int | lineNo () const
std::string | line () const
const char * | what () const noexcept override
| ~FeatureFileParseException () noexcept override=default

## Detailed Description

class used to indicate errors in parsing feature definition files.

Definition at line 23 of file FeatureParser.h.

## Constructor & Destructor Documentation

## FeatureFileParseException()

RDKit::FeatureFileParseException::FeatureFileParseException | ( | unsigned int | lineNo,
|  | std::string | line,
|  | std::string | msg )

inline

Definition at line 26 of file FeatureParser.h.

References line(), and lineNo().

## ~FeatureFileParseException()

RDKit::FeatureFileParseException::~FeatureFileParseException | ( |  | ) |

override default noexcept

## Member Function Documentation

## line()

std::string RDKit::FeatureFileParseException::line | ( |  | ) | const

inline

Definition at line 30 of file FeatureParser.h.

Referenced by FeatureFileParseException().

## lineNo()

unsigned int RDKit::FeatureFileParseException::lineNo | ( |  | ) | const

inline

Definition at line 29 of file FeatureParser.h.

Referenced by FeatureFileParseException().

## what()

const char * RDKit::FeatureFileParseException::what | ( |  | ) | const

inline override noexcept

Definition at line 31 of file FeatureParser.h.

The documentation for this class was generated from the following file:

- FeatureParser.h